Mailinglist Archive: opensuse-security-announce (17 mails)

< Previous Next >
[security-announce] SUSE-SU-2011:0807-1: important: Security update for IBM Java
SUSE Security Update: Security update for IBM Java
______________________________________________________________________________

Announcement ID: SUSE-SU-2011:0807-1
Rating: important
References: #705423
Cross-References: CVE-2011-0786 CVE-2011-0788 CVE-2011-0802
CVE-2011-0814 CVE-2011-0815 CVE-2011-0817
CVE-2011-0862 CVE-2011-0863 CVE-2011-0865
CVE-2011-0866 CVE-2011-0867 CVE-2011-0868
CVE-2011-0869 CVE-2011-0871 CVE-2011-0872
CVE-2011-0873
Affected Products:
SUSE Linux Enterprise Teradata 10 SP3
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 10 SP4
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Java 11 SP1
SUSE Linux Enterprise Java 10 SP4
SUSE Linux Enterprise Java 10 SP3
______________________________________________________________________________

An update that fixes 16 vulnerabilities is now available.

Description:


IBM Java 1.6.0 SR9-FP2 fixes several of bugs and thew
following security issues:

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier, 5.0 Update 29 and earlier, and 1.4.2_31 and
earlier allows remote untrusted Java Web Start applications
and untrusted Java applets to affect integrity via unknown
vectors related to Deserialization. (CVE-2011-0865
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0865
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier, 5.0 Update 29 and earlier, and 1.4.2_31 and
earlier, when running on Windows, allows remote untrusted
Java Web Start applications and untrusted Java applets to
affect confidentiality, integrity, and availability via
unknown vectors related to Java Runtime Environment. (
CVE-2011-0866
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0866
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier, when running on Windows, allows remote
untrusted Java Web Start applications and untrusted Java
applets to affect confidentiality, integrity, and
availability via unknown vectors related to Deployment, a
different vulnerability than CVE-2011-0788. (CVE-2011-0786
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0786
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier, when running on Windows, allows remote
untrusted Java Web Start applications and untrusted Java
applets to affect confidentiality, integrity, and
availability via unknown vectors related to Deployment, a
different vulnerability than CVE-2011-0786. (CVE-2011-0788
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0788
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier, when running on Windows, allows remote
untrusted Java Web Start applications and untrusted Java
applets to affect confidentiality, integrity, and
availability via unknown vectors related to Deployment, a
different vulnerability than CVE-2011-0786. (CVE-2011-0802
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0802
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier, 5.0 Update 29 and earlier, and 1.4.2_31 and
earlier allows remote attackers to affect confidentiality,
integrity, and availability via unknown vectors related to
Sound, a different vulnerability than CVE-2011-0802.
(CVE-2011-0814
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0814
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier, 5.0 Update 29 and earlier, and 1.4.2_31 and
earlier allows remote untrusted Java Web Start applications
and untrusted Java applets to affect confidentiality,
integrity, and availability via unknown vectors related to
AWT. (CVE-2011-0815
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0815
> )

*

Multiple unspecified vulnerabilities in the Java
Runtime Environment (JRE) component in Oracle Java SE 6
Update 25 and earlier, 5.0 Update 29 and earlier, and
1.4.2_31 and earlier allow remote attackers to affect
confidentiality, integrity, and availability via unknown
vectors related to 2D. (CVE-2011-0862
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0862
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier, 5.0 Update 29 and earlier, and 1.4.2_31 and
earlier allows remote untrusted Java Web Start applications
and untrusted Java applets to affect confidentiality via
unknown vectors related to Networking. ( CVE-2011-0867
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0867
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 26
and earlier allows remote untrusted Java Web Start
applications and untrusted Java applets to affect
confidentiality via unknown vectors related to SAAJ. (
CVE-2011-0869
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0869
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier, when running on Windows, allows remote
untrusted Java Web Start applications and untrusted Java
applets to affect confidentiality, integrity, and
availability via unknown vectors related to Deployment. (
CVE-2011-0817
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0817
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier allows remote untrusted Java Web Start
applications and untrusted Java applets to affect
confidentiality, integrity, and availability via unknown
vectors related to Deployment. (CVE-2011-0863
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0863
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier allows remote attackers to affect
confidentiality via unknown vectors related to 2D.
(CVE-2011-0868
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0868
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier, 5.0 Update 29 and earlier, and 1.4.2_31 and
earlier allows remote untrusted Java Web Start applications
and untrusted Java applets to affect confidentiality,
integrity, and availability via unknown vectors related to
Swing. (CVE-2011-0871
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0871
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier allows remote attackers to affect availability
via unknown vectors related to NIO. (CVE-2011-0872
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0872
> )

*

An unspecified vulnerability in the Java Runtime
Environment (JRE) component in Oracle Java SE 6 Update 25
and earlier, and 5.0 Update 29 and earlier, allows remote
attackers to affect confidentiality, integrity, and
availability via unknown vectors related to 2D. (
CVE-2011-0873
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0873
> )

Indications:

Please install this update.

Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-java-1_6_0-ibm-4875

- SUSE Linux Enterprise Server 11 SP1 for VMware:

zypper in -t patch slessp1-java-1_6_0-ibm-4875

- SUSE Linux Enterprise Server 11 SP1:

zypper in -t patch slessp1-java-1_6_0-ibm-4875

- SUSE Linux Enterprise Java 11 SP1:

zypper in -t patch slejsp1-java-1_6_0-ibm-4875

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Teradata 10 SP3 (x86_64):

java-1_6_0-ibm-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-32bit-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-alsa-32bit-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-devel-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-devel-32bit-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-fonts-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-jdbc-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-plugin-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-plugin-32bit-1.6.0_sr9.2-0.6.1

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ppc64 s390x
x86_64):

java-1_6_0-ibm-devel-1.6.0_sr9.2-0.4.1

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 x86_64):

java-1_6_0-ibm-1.6.0_sr9.2-0.4.1
java-1_6_0-ibm-fonts-1.6.0_sr9.2-0.4.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64):

java-1_6_0-ibm-1.6.0_sr9.2-0.4.1
java-1_6_0-ibm-fonts-1.6.0_sr9.2-0.4.1
java-1_6_0-ibm-jdbc-1.6.0_sr9.2-0.4.1
java-1_6_0-ibm-plugin-1.6.0_sr9.2-0.4.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586):

java-1_6_0-ibm-alsa-1.6.0_sr9.2-0.4.1

- SUSE Linux Enterprise Server 11 SP1 (i586 ppc64 s390x x86_64):

java-1_6_0-ibm-1.6.0_sr9.2-0.4.1
java-1_6_0-ibm-fonts-1.6.0_sr9.2-0.4.1
java-1_6_0-ibm-jdbc-1.6.0_sr9.2-0.4.1

- SUSE Linux Enterprise Server 11 SP1 (i586 x86_64):

java-1_6_0-ibm-plugin-1.6.0_sr9.2-0.4.1

- SUSE Linux Enterprise Server 11 SP1 (i586):

java-1_6_0-ibm-alsa-1.6.0_sr9.2-0.4.1

- SUSE Linux Enterprise Server 10 SP4 (i586 ppc s390x x86_64):

java-1_6_0-ibm-1.6.0_sr9.2-0.9.1
java-1_6_0-ibm-devel-1.6.0_sr9.2-0.9.1
java-1_6_0-ibm-fonts-1.6.0_sr9.2-0.9.1
java-1_6_0-ibm-jdbc-1.6.0_sr9.2-0.9.1

- SUSE Linux Enterprise Server 10 SP4 (i586 ppc x86_64):

java-1_6_0-ibm-plugin-1.6.0_sr9.2-0.9.1

- SUSE Linux Enterprise Server 10 SP4 (s390x x86_64):

java-1_6_0-ibm-32bit-1.6.0_sr9.2-0.9.1
java-1_6_0-ibm-devel-32bit-1.6.0_sr9.2-0.9.1

- SUSE Linux Enterprise Server 10 SP4 (x86_64):

java-1_6_0-ibm-alsa-32bit-1.6.0_sr9.2-0.9.1
java-1_6_0-ibm-plugin-32bit-1.6.0_sr9.2-0.9.1

- SUSE Linux Enterprise Server 10 SP4 (i586):

java-1_6_0-ibm-alsa-1.6.0_sr9.2-0.9.1

- SUSE Linux Enterprise Server 10 SP4 (ppc):

java-1_6_0-ibm-64bit-1.6.0_sr9.2-0.9.1

- SUSE Linux Enterprise Server 10 SP3 (i586 ppc s390x x86_64):

java-1_6_0-ibm-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-devel-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-fonts-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-jdbc-1.6.0_sr9.2-0.6.1

- SUSE Linux Enterprise Server 10 SP3 (i586 ppc x86_64):

java-1_6_0-ibm-plugin-1.6.0_sr9.2-0.6.1

- SUSE Linux Enterprise Server 10 SP3 (s390x x86_64):

java-1_6_0-ibm-32bit-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-devel-32bit-1.6.0_sr9.2-0.6.1

- SUSE Linux Enterprise Server 10 SP3 (x86_64):

java-1_6_0-ibm-alsa-32bit-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-plugin-32bit-1.6.0_sr9.2-0.6.1

- SUSE Linux Enterprise Server 10 SP3 (i586):

java-1_6_0-ibm-alsa-1.6.0_sr9.2-0.6.1

- SUSE Linux Enterprise Server 10 SP3 (ppc):

java-1_6_0-ibm-64bit-1.6.0_sr9.2-0.6.1

- SUSE Linux Enterprise Java 11 SP1 (i586 ppc64 s390x x86_64):

java-1_6_0-ibm-1.6.0_sr9.2-0.4.1
java-1_6_0-ibm-devel-1.6.0_sr9.2-0.4.1
java-1_6_0-ibm-fonts-1.6.0_sr9.2-0.4.1
java-1_6_0-ibm-jdbc-1.6.0_sr9.2-0.4.1

- SUSE Linux Enterprise Java 11 SP1 (i586 x86_64):

java-1_6_0-ibm-plugin-1.6.0_sr9.2-0.4.1

- SUSE Linux Enterprise Java 11 SP1 (i586):

java-1_6_0-ibm-alsa-1.6.0_sr9.2-0.4.1

- SUSE Linux Enterprise Java 10 SP4 (x86_64):

java-1_6_0-ibm-1.6.0_sr9.2-0.9.1
java-1_6_0-ibm-devel-1.6.0_sr9.2-0.9.1
java-1_6_0-ibm-fonts-1.6.0_sr9.2-0.9.1
java-1_6_0-ibm-jdbc-1.6.0_sr9.2-0.9.1
java-1_6_0-ibm-plugin-1.6.0_sr9.2-0.9.1

- SUSE Linux Enterprise Java 10 SP3 (i586 ppc s390x x86_64):

java-1_6_0-ibm-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-devel-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-fonts-1.6.0_sr9.2-0.6.1
java-1_6_0-ibm-jdbc-1.6.0_sr9.2-0.6.1

- SUSE Linux Enterprise Java 10 SP3 (i586 ppc x86_64):

java-1_6_0-ibm-plugin-1.6.0_sr9.2-0.6.1

- SUSE Linux Enterprise Java 10 SP3 (i586):

java-1_6_0-ibm-alsa-1.6.0_sr9.2-0.6.1


References:

http://support.novell.com/security/cve/CVE-2011-0786.html
http://support.novell.com/security/cve/CVE-2011-0788.html
http://support.novell.com/security/cve/CVE-2011-0802.html
http://support.novell.com/security/cve/CVE-2011-0814.html
http://support.novell.com/security/cve/CVE-2011-0815.html
http://support.novell.com/security/cve/CVE-2011-0817.html
http://support.novell.com/security/cve/CVE-2011-0862.html
http://support.novell.com/security/cve/CVE-2011-0863.html
http://support.novell.com/security/cve/CVE-2011-0865.html
http://support.novell.com/security/cve/CVE-2011-0866.html
http://support.novell.com/security/cve/CVE-2011-0867.html
http://support.novell.com/security/cve/CVE-2011-0868.html
http://support.novell.com/security/cve/CVE-2011-0869.html
http://support.novell.com/security/cve/CVE-2011-0871.html
http://support.novell.com/security/cve/CVE-2011-0872.html
http://support.novell.com/security/cve/CVE-2011-0873.html
https://bugzilla.novell.com/705423

http://download.novell.com/patch/finder/?keywords=3b42568f807335f093098352626f1978

http://download.novell.com/patch/finder/?keywords=3f77af6299b12bd1d66ad30d1902f9d3

http://download.novell.com/patch/finder/?keywords=a24675426b4665a2a4dc9290d8ff82f6

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages